Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.graph
Class GraphDocument

    java.lang.Object
      com.nwoods.jgo.JGoDocument
          edu.stanford.smi.protegex.widget.graph.GraphDocument

All Implemented Interfaces:
  com.nwoods.jgo.JGoObjectCollection, com.nwoods.jgo.JGoObjectSimpleCollection, Transferable, Serializable

    public class GraphDocument

extends com.nwoods.jgo.JGoDocument

See Also:
  Serialized Form

Constructor Summary
`GraphDocument(GraphWidget widget)`

Method Summary
`void` | `deleteContents()`
`Cls` | `getCls()`
`FrameListener` | `getFrameListener()`
`KnowledgeBase` | `getKB()`
`Rectangle` | `getNodeRectangle(Instance instance)`
`static HashMap` | `getPositionInfo(Instance instance, Slot slot)`
`PropertyList` | `getPropertyList()`
`void` | `handleBrowserTextChanged(Frame frame)`
`void` | `handleOwnSlotValueChanged(FrameEvent event)`
`void` | `initNode(Node node)`
`void` | `initNodes(Collection instances)`
`void` | `performAutomaticLayout(int direction)`
`void` | `removeListener()`
`void` | `removeValueFromSourceNode(SimpleLink sLink)`
`void` | `savePositionInfo()`
`void` | `setExternalUpdate(boolean update)`

Methods inherited from class com.nwoods.jgo.JGoDocument
`addDocumentListener, addLayerAfter, addLayerBefore, addObjectAtHead, addObjectAtTail, bringLayerToFront, bringObjectToFront, canRedo, canUndo, changeValue, computeBounds, computeBounds, copyFromCollection, copyFromCollection, copyNewValueForRedo, copyOldValueForUndo, createDefaultCopyEnvironment, discardAllEdits, endTransaction, endTransaction, ensureUniquePartID, findLayer, findObject, findPart, fireForedate, fireUpdate, getAvoidableRectangle, getDefaultLayer, getDocumentListeners, getDocumentSize, getDocumentTopLeft, getFirstLayer, getFirstObjectPos, getLastLayer, getLastObjectPos, getNextLayer, getNextObjectPos, getNextObjectPosAtTop, getNumLayers, getNumObjects, getObjectAtPos, getPaperColor, getPrevLayer, getPrevObjectPos, getStandardDataFlavor, getTransferData, getTransferDataFlavors, getUndoManager, insertLayerAfter, insertLayerBefore, insertObjectAfter, insertObjectBefore, isAvoidable, isDataFlavorSupported, isEmpty, isMaintainsPartID, isModifiable, isSkipsUndoManager, isSuspendUpdates, pickObject, redo, removeDocumentListener, removeLayer, removeObject, removeObjectAtPos, sendLayerToBack, sendObjectToBack, setDefaultLayer, setDocumentSize, setDocumentSize, setDocumentTopLeft, setDocumentTopLeft, setMaintainsPartID, setModifiable, setPaperColor, setSkipsUndoManager, setSuspendUpdates, setUndoManager, startTransaction, SVGReadLayer, SVGReadObject, SVGUpdateReference, SVGWriteLayer, SVGWriteObject, undo, update, updateDocumentSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphDocument

    public GraphDocument(GraphWidget widget)

Method Detail

### getKB

    public KnowledgeBase getKB()

### getPropertyList

    public PropertyList getPropertyList()

### getCls

    public Cls getCls()

### getFrameListener

    public FrameListener getFrameListener()

### initNodes

    public void initNodes(Collection instances)

### initNode

    public void initNode(Node node)

### handleBrowserTextChanged

    public void handleBrowserTextChanged(Frame frame)

### handleOwnSlotValueChanged

    public void handleOwnSlotValueChanged(FrameEvent event)

### performAutomaticLayout

    public void performAutomaticLayout(int direction)

### savePositionInfo

    public void savePositionInfo()

### getPositionInfo

    public static HashMap getPositionInfo(Instance instance,
                                          Slot slot)

### getNodeRectangle

    public Rectangle getNodeRectangle(Instance instance)

### setExternalUpdate

    public void setExternalUpdate(boolean update)

### removeValueFromSourceNode

    public void removeValueFromSourceNode(SimpleLink sLink)

### removeListener

    public void removeListener()

### deleteContents

    public void deleteContents()

  Overrides:
    `deleteContents` in class `com.nwoods.jgo.JGoDocument`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request